Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Interface IEventFactory

All Known Implementing Classes:
  CommonBaseEventFactory

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public interface IEventFactory

Common iterface for all factories which construct Hyades logging event objects.

Since:
  1.0
Version:
  1.0.1

Field Summary
`static long` | `CURRENT_TIME` Deprecated. A special value for event creation time, to indicate that the current system time is being specified in an API call.
`static long` | `UNSPECIFIED_ELAPSED_TIME` Deprecated. A special value for event elapsed time, to indicate that no value (as opposed to any default value) is being specified in an API call.
`static short` | `UNSPECIFIED_PRIORITY` Deprecated. A special value for event priority, to indicate that no value (as opposed to any default value) is being specified in an API call.
`static short` | `UNSPECIFIED_REPEAT_COUNT` Deprecated. A special value for event repeat count, to indicate that no value (as opposed to any default value) is being specified in an API call.
`static long` | `UNSPECIFIED_SEQUENCE_NUM` Deprecated. A special value for event sequence number, to indicate that no value (as opposed to any default value) is being specified in an API call.
`static short` | `UNSPECIFIED_SEVERITY` Deprecated. A special value for event severity, to indicate that no value (as opposed to any default value) is being specified in an API call.

Method Summary
`ICommonBaseEvent` | `createEmptyEvent()` Deprecated. Create an empty event.
`ICommonBaseEvent` | `createEvent(java.util.Date creationTime, IComponentIdentification sourceCompId)` Deprecated. Create a new event.
`ICommonBaseEvent` | `createEvent(java.util.Date creationTime, java.lang.String localInstId, java.lang.String globalInstId, short severity, short priority, IComponentIdentification reporterCompId, IComponentIdentification sourceCompId, ISituation situation, IContextDataElement[] contextData, IMsgDataElement msgData, java.lang.String msg, short repeatCount, long elapsedTime, IAssociatedEvent[] assocEvents, java.lang.String extensionName, IExtendedDataElement[] extendedData, long sequenceNum, java.lang.String[] otherData)` Deprecated. Create a new event.
`ICommonBaseEvent` | `createEvent(java.util.Date creationTime, java.lang.String localInstId, java.lang.String globalInstId, short severity, short priority, IComponentIdentification reporterCompId, IComponentIdentification sourceCompId, java.lang.String situationType, IContextDataElement[] contextData, IMsgDataElement msgData, java.lang.String msg, short repeatCount, long elapsedTime, IAssociatedEvent[] assocEvents, java.lang.String extensionName, IExtendedDataElement[] extendedData, long sequenceNum)` Deprecated. Use the createEvent(Date, String, String, short, short, IComponentIdentification, IComponentIdentification, ISituation, IContextDataElement[], IMsgDataElement, String, short, long, IAssociatedEvent, String, IExtendedDataElement, long,String[]) as of 1.0.1.
`ICommonBaseEvent` | `createEvent(long creationTime, IComponentIdentification sourceCompId)` Deprecated. Create a new event.
`ICommonBaseEvent` | `createEvent(long creationTime, java.lang.String localInstId, java.lang.String globalInstId, short severity, short priority, IComponentIdentification reporterCompId, IComponentIdentification sourceCompId, ISituation situation, IContextDataElement[] contextData, IMsgDataElement msgData, java.lang.String msg, short repeatCount, long elapsedTime, IAssociatedEvent[] assocEvents, java.lang.String extensionName, IExtendedDataElement[] extendedData, long sequenceNum, java.lang.String[] otherData)` Deprecated. Create a new event.
`ICommonBaseEvent` | `createEvent(long creationTime, java.lang.String localInstId, java.lang.String globalInstId, short severity, short priority, IComponentIdentification reporterCompId, IComponentIdentification sourceCompId, java.lang.String situationType, IContextDataElement[] contextData, IMsgDataElement msgData, java.lang.String msg, short repeatCount, long elapsedTime, IAssociatedEvent[] assocEvents, java.lang.String extensionName, IExtendedDataElement[] extendedData, long sequenceNum)` Deprecated. Use the createEvent(long, String, String, short, short, IComponentIdentification, IComponentIdentification, ISituation, IContextDataElement[], IMsgDataElement, String, short, long, IAssociatedEvent, String, IExtendedDataElement, long,String[]) as of 1.0.1.
`java.lang.String` | `getEventInterfaceClassName()` Deprecated. Get the fully-qualified interface name for the events created by this factory.
`ICommonBaseEvent` | `getEventSettings()` Deprecated. Get the optional event settings for this factory instance.
`java.lang.String` | `getName()` Deprecated. Get the name of this factory instance.
`void` | `init(java.lang.String name)` Deprecated. Initialization method.
`void` | `setEventSettings(ICommonBaseEvent settings)` Deprecated. Set the optional event settings for this factory instance.

Field Detail

### CURRENT_TIME

    public static final long CURRENT_TIME

  Deprecated.
  A special value for event creation time, to indicate that the current system time is being specified in an API call.

  See Also:
    Constant Field Values

### UNSPECIFIED_SEVERITY

    public static final short UNSPECIFIED_SEVERITY

  Deprecated.
  A special value for event severity, to indicate that no value (as opposed to any default value) is being specified in an API call.

  See Also:
    Constant Field Values

### UNSPECIFIED_PRIORITY

    public static final short UNSPECIFIED_PRIORITY

  Deprecated.
  A special value for event priority, to indicate that no value (as opposed to any default value) is being specified in an API call.

  See Also:
    Constant Field Values

### UNSPECIFIED_REPEAT_COUNT

    public static final short UNSPECIFIED_REPEAT_COUNT

  Deprecated.
  A special value for event repeat count, to indicate that no value (as opposed to any default value) is being specified in an API call.

  See Also:
    Constant Field Values

### UNSPECIFIED_ELAPSED_TIME

    public static final long UNSPECIFIED_ELAPSED_TIME

  Deprecated.
  A special value for event elapsed time, to indicate that no value (as opposed to any default value) is being specified in an API call.

  See Also:
    Constant Field Values

### UNSPECIFIED_SEQUENCE_NUM

    public static final long UNSPECIFIED_SEQUENCE_NUM

  Deprecated.
  A special value for event sequence number, to indicate that no value (as opposed to any default value) is being specified in an API call.

  See Also:
    Constant Field Values

Method Detail

### getName

    public java.lang.String getName()

  Deprecated.
  Get the name of this factory instance. Instance names are immutable once set.

  Returns:
    The instance name.

### getEventInterfaceClassName

    public java.lang.String getEventInterfaceClassName()

  Deprecated.
  Get the fully-qualified interface name for the events created by this factory. This should either be: `org.eclipse.hyades.logging.events.ICommonBaseEvent` or an interface which extends it.

  Returns:
    The interface name.

### getEventSettings

    public ICommonBaseEvent getEventSettings()

  Deprecated.
  Get the optional event settings for this factory instance. The values of this object (if any) will be used as defaults when creating new events.

  Returns:
    The current event settings, or `null` if no settings have been defined.

### setEventSettings

    public void setEventSettings(ICommonBaseEvent settings)

  Deprecated.
  Set the optional event settings for this factory instance. The values of this object (if any) will be used as defaults when creating new events.

  The settings object should be an event which was created by this factory's `createEmptyEvent()` method, then populated with values.

### createEvent

    public ICommonBaseEvent createEvent(java.util.Date creationTime,
                                        IComponentIdentification sourceCompId)

  Deprecated.
  Create a new event.

  Parameters:
    `creationTime` - The creation time for the event, or `null` to use the current system time.
    `sourceCompId` - The source component ID for the event, or `null` to copy the value from the event settings.

    If event settings are defined for this factory instance, they will be used to set any fields not specified above.

    NOTE: If the source component ID is not specified and is not found in the factory event settings, the event will not be created. Use `createEmptyEvent()` to create an event with no creation time or source component ID.

  Returns:
    The new event, or `null` if no value was found for the required source component ID.

    The new event will implement the interface reported by `getEventInterfaceClassName()`.

### createEvent

    public ICommonBaseEvent createEvent(long creationTime,
                                        IComponentIdentification sourceCompId)

  Deprecated.
  Create a new event.

  Parameters:
    `creationTime` - The creation time for the event, or `CURRENT_TIME` to use the current system time.
    `sourceCompId` - The source component ID for the event, or `null` to copy the value from the event settings.

    If event settings are defined for this factory instance, they will be used to set any fields not specified above.

    NOTE: If the source component ID is not specified and is not found in the factory event settings, the event will not be created. Use `createEmptyEvent()` to create an event with no creation time or source component ID.

  Returns:
    The new event, or `null` if no value was found for the required source component ID.

    The new event will implement the interface reported by `getEventInterfaceClassName()`.

### createEvent

    public ICommonBaseEvent createEvent(java.util.Date creationTime,
                                        java.lang.String localInstId,
                                        java.lang.String globalInstId,
                                        short severity,
                                        short priority,
                                        IComponentIdentification reporterCompId,
                                        IComponentIdentification sourceCompId,
                                        java.lang.String situationType,
                                        IContextDataElement[] contextData,
                                        IMsgDataElement msgData,
                                        java.lang.String msg,
                                        short repeatCount,
                                        long elapsedTime,
                                        IAssociatedEvent[] assocEvents,
                                        java.lang.String extensionName,
                                        IExtendedDataElement[] extendedData,
                                        long sequenceNum)

  Deprecated. Use the createEvent(Date, String, String, short, short, IComponentIdentification, IComponentIdentification, ISituation, IContextDataElement[], IMsgDataElement, String, short, long, IAssociatedEvent, String, IExtendedDataElement, long,String[]) as of 1.0.1.

  Create a new event.

  Parameters:
    `creationTime` - The creation time for the event, or `null` to use the current system time.
    `localInstId` - An optional local-instance identifier, or `null` to copy the value (if any) from the event settings.
    `globalInstId` - An optional global-instance identifier, or `null` to copy the value (if any) from the event settings.
    `severity` - The optional event severity, or `UNSPECIFIED_SEVERITY` to copy the value (if any) from the event settings.
    `priority` - The optional event priority, or `UNSPECIFIED_PRIORITY` to copy the value (if any) from the event settings
    `reporterCompId` - The optional reporter component ID for the event, or `null` to copy the value (if any) from event settings.
    `sourceCompId` - The required source component ID for the event, or `null` to copy the value from the event settings.

    NOTE: If the source component ID is not specified and is not found in the factory event settings, the event will not be created. Use `createEmptyEvent()` to create an event with no creation time or source component ID.

    `situationType` - An optional situation-type string, or `null` to copy the value (if any) from the event settings.
    `contextData` - An optional array of context data elements, or `null` to copy the value (if any) from the event settings.
    `msgData` - Optional data about the message, or `null` to copy the value (if any) from the event settings.
    `msg` - The optional message text, or `null` to copy the value (if any) from the event settings.
    `repeatCount` - The optional repeat count, or `UNSPECIFIED_REPEAT_COUNT` to copy the value (if any) from the event settings.
    `elapsedTime` - The optional time (in microseconds) for the number of events specified in the repeat count, or `UNSPECIFIED_ELAPSED_TIME` to copy the value (if any) from the event settings.
    `assocEvents` - An optional array of associated events, or `null` to copy the value (if any) from the event settings.
    `extensionName` - An optional extension name, or `null` to copy the value (if any) from the event settings.
    `extendedData` - An optional array of extended data elements, or `null` to copy the value (if any) from the event settings.
    `sequenceNum` - An optional sequence number for the event, or `UNSPECIFIED_SEQUENCE_NUM` to copy the value (if any) from the event settings.

    If event settings are defined for this factory instance, they will be used to set any fields not specified above.

  Returns:
    The new event, or `null` if no value was found for the required source component ID.

    The new event will implement the interface reported by `getEventInterfaceClassName()`.

### createEvent

    public ICommonBaseEvent createEvent(java.util.Date creationTime,
                                        java.lang.String localInstId,
                                        java.lang.String globalInstId,
                                        short severity,
                                        short priority,
                                        IComponentIdentification reporterCompId,
                                        IComponentIdentification sourceCompId,
                                        ISituation situation,
                                        IContextDataElement[] contextData,
                                        IMsgDataElement msgData,
                                        java.lang.String msg,
                                        short repeatCount,
                                        long elapsedTime,
                                        IAssociatedEvent[] assocEvents,
                                        java.lang.String extensionName,
                                        IExtendedDataElement[] extendedData,
                                        long sequenceNum,
                                        java.lang.String[] otherData)

  Deprecated.
  Create a new event.

  Parameters:
    `creationTime` - The creation time for the event, or `CURRENT_TIME` to use the current system time.
    `localInstId` - An optional local-instance identifier, or `null` to copy the value (if any) from the event settings.
    `globalInstId` - An optional global-instance identifier, or `null` to copy the value (if any) from the event settings.
    `severity` - The optional event severity, or `UNSPECIFIED_SEVERITY` to copy the value (if any) from the event settings.
    `priority` - The optional event priority, or `UNSPECIFIED_PRIORITY` to copy the value (if any) from the event settings
    `reporterCompId` - The optional reporter component ID for the event, or `null` to copy the value (if any) from event settings.
    `sourceCompId` - The required source component ID for the event, or `null` to copy the value from the event settings.

    NOTE: If the source component ID is not specified and is not found in the factory event settings, the event will not be created. Use `createEmptyEvent()` to create an event with no creation time or source component ID.

    `situation` - A required ISituation or `null` to copy the value from the event settings.
    `contextData` - An optional array of context data elements, or `null` to copy the value (if any) from the event settings.
    `msgData` - Optional data about the message, or `null` to copy the value (if any) from the event settings.
    `msg` - The optional message text, or `null` to copy the value (if any) from the event settings.
    `repeatCount` - The optional repeat count, or `UNSPECIFIED_REPEAT_COUNT` to copy the value (if any) from the event settings.
    `elapsedTime` - The optional time (in microseconds) for the number of events specified in the repeat count, or `UNSPECIFIED_ELAPSED_TIME` to copy the value (if any) from the event settings.
    `assocEvents` - An optional array of associated events,
    `extensionName` - An optional extension name, or `null` to copy the value (if any) from the event settings.
    `extendedData` - An optional array of extended data elements, or `null` to copy the value (if any) from the event settings.
    `sequenceNum` - An optional sequence number for the event, or `UNSPECIFIED_SEQUENCE_NUM` to copy the value (if any) from the event settings.
    `otherData` - An optional string array of other data or `null` to copy the value (if any) from the event settings.

    If event settings are defined for this factory instance, they will be used to set any fields not specified above.

  Returns:
    The new event, or `null` if no value was found for the required source component ID.

    The new event will implement the interface reported by `getEventInterfaceClassName()`.

  Since:
    1.0.1

### createEvent

    public ICommonBaseEvent createEvent(long creationTime,
                                        java.lang.String localInstId,
                                        java.lang.String globalInstId,
                                        short severity,
                                        short priority,
                                        IComponentIdentification reporterCompId,
                                        IComponentIdentification sourceCompId,
                                        java.lang.String situationType,
                                        IContextDataElement[] contextData,
                                        IMsgDataElement msgData,
                                        java.lang.String msg,
                                        short repeatCount,
                                        long elapsedTime,
                                        IAssociatedEvent[] assocEvents,
                                        java.lang.String extensionName,
                                        IExtendedDataElement[] extendedData,
                                        long sequenceNum)

  Deprecated. Use the createEvent(long, String, String, short, short, IComponentIdentification, IComponentIdentification, ISituation, IContextDataElement[], IMsgDataElement, String, short, long, IAssociatedEvent, String, IExtendedDataElement, long,String[]) as of 1.0.1.

  Create a new event.

  Parameters:
    `creationTime` - The creation time for the event, or `CURRENT_TIME` to use the current system time.
    `localInstId` - An optional local-instance identifier, or `null` to copy the value (if any) from the event settings.
    `globalInstId` - An optional global-instance identifier, or `null` to copy the value (if any) from the event settings.
    `severity` - The optional event severity, or `UNSPECIFIED_SEVERITY` to copy the value (if any) from the event settings.
    `priority` - The optional event priority, or `UNSPECIFIED_PRIORITY` to copy the value (if any) from the event settings
    `reporterCompId` - The optional reporter component ID for the event, or `null` to copy the value (if any) from event settings.
    `sourceCompId` - The required source component ID for the event, or `null` to copy the value from the event settings.

    NOTE: If the source component ID is not specified and is not found in the factory event settings, the event will not be created. Use `createEmptyEvent()` to create an event with no creation time or source component ID.

    `situationType` - An optional situation-type string, or `null` to copy the value (if any) from the event settings.
    `contextData` - An optional array of context data elements, or `null` to copy the value (if any) from the event settings.
    `msgData` - Optional data about the message, or `null` to copy the value (if any) from the event settings.
    `msg` - The optional message text, or `null` to copy the value (if any) from the event settings.
    `repeatCount` - The optional repeat count, or `UNSPECIFIED_REPEAT_COUNT` to copy the value (if any) from the event settings.
    `elapsedTime` - The optional time (in microseconds) for the number of events specified in the repeat count, or `UNSPECIFIED_ELAPSED_TIME` to copy the value (if any) from the event settings.
    `assocEvents` - An optional array of associated events, or `null` to copy the value (if any) from the event settings.
    `extensionName` - An optional extension name, or `null` to copy the value (if any) from the event settings.
    `extendedData` - An optional array of extended data elements, or `null` to copy the value (if any) from the event settings.
    `sequenceNum` - An optional sequence number for the event, or `UNSPECIFIED_SEQUENCE_NUM` to copy the value (if any) from the event settings.

    If event settings are defined for this factory instance, they will be used to set any fields not specified above.

  Returns:
    The new event, or `null` if no value was found for the required source component ID.

    The new event will implement the interface reported by `getEventInterfaceClassName()`.

### createEvent

    public ICommonBaseEvent createEvent(long creationTime,
                                        java.lang.String localInstId,
                                        java.lang.String globalInstId,
                                        short severity,
                                        short priority,
                                        IComponentIdentification reporterCompId,
                                        IComponentIdentification sourceCompId,
                                        ISituation situation,
                                        IContextDataElement[] contextData,
                                        IMsgDataElement msgData,
                                        java.lang.String msg,
                                        short repeatCount,
                                        long elapsedTime,
                                        IAssociatedEvent[] assocEvents,
                                        java.lang.String extensionName,
                                        IExtendedDataElement[] extendedData,
                                        long sequenceNum,
                                        java.lang.String[] otherData)

  Deprecated.
  Create a new event.

  Parameters:
    `creationTime` - The creation time for the event, or `CURRENT_TIME` to use the current system time.
    `localInstId` - An optional local-instance identifier, or `null` to copy the value (if any) from the event settings.
    `globalInstId` - An optional global-instance identifier, or `null` to copy the value (if any) from the event settings.
    `severity` - The optional event severity, or `UNSPECIFIED_SEVERITY` to copy the value (if any) from the event settings.
    `priority` - The optional event priority, or `UNSPECIFIED_PRIORITY` to copy the value (if any) from the event settings
    `reporterCompId` - The optional reporter component ID for the event, or `null` to copy the value (if any) from event settings.
    `sourceCompId` - The required source component ID for the event, or `null` to copy the value from the event settings.

    NOTE: If the source component ID is not specified and is not found in the factory event settings, the event will not be created. Use `createEmptyEvent()` to create an event with no creation time or source component ID.

    `situation` - A required ISituation or `null` to copy the value from the event settings.
    `contextData` - An optional array of context data elements, or `null` to copy the value (if any) from the event settings.
    `msgData` - Optional data about the message, or `null` to copy the value (if any) from the event settings.
    `msg` - The optional message text, or `null` to copy the value (if any) from the event settings.
    `repeatCount` - The optional repeat count, or `UNSPECIFIED_REPEAT_COUNT` to copy the value (if any) from the event settings.
    `elapsedTime` - The optional time (in microseconds) for the number of events specified in the repeat count, or `UNSPECIFIED_ELAPSED_TIME` to copy the value (if any) from the event settings.
    `assocEvents` - An optional array of associated events,
    `extensionName` - An optional extension name, or `null` to copy the value (if any) from the event settings.
    `extendedData` - An optional array of extended data elements, or `null` to copy the value (if any) from the event settings.
    `sequenceNum` - An optional sequence number for the event, or `UNSPECIFIED_SEQUENCE_NUM` to copy the value (if any) from the event settings.
    `otherData` - An optional string array of other data or `null` to copy the value (if any) from the event settings.

    If event settings are defined for this factory instance, they will be used to set any fields not specified above.

  Returns:
    The new event, or `null` if no value was found for the required source component ID.

    The new event will implement the interface reported by `getEventInterfaceClassName()`.

  Since:
    1.0.1

### createEmptyEvent

    public ICommonBaseEvent createEmptyEvent()

  Deprecated.
  Create an empty event.

  No fields will be set for this event. Any event settings for this factory instance will be ignored.

  Returns:
    The empty new event.

    The new event will implement the interface reported by `getEventInterfaceClassName()`.

### init

    public void init(java.lang.String name)

  Deprecated.
  Initialization method. This should not be called by applications, and has no effect after this factory instance is initialized.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD